Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.util
Interface ResourceAccessor

All Known Implementing Classes:
  SimpleResourceAccessor

public interface ResourceAccessor

Defines an interface through which external resource objects can be accessed.

Method Summary
`java.io.InputStream` | `createInputStream(java.net.URI uri)` Creates a new `InputStream` for the given URI that allows read access to an external resource.

Method Detail

### createInputStream

    public java.io.InputStream createInputStream(java.net.URI uri)
                                          throws java.io.IOException

  Creates a new `InputStream` for the given URI that allows read access to an external resource.

  Parameters:
    `uri` - the URI of an external resource.
  Returns:
    the new input stream
  Throws:
    `java.io.IOException` - if an I/O error occurs while opening the resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.